Subject: bug#719: Crash opening UNC file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Aug 2008 10:55:17 +0300

> Date: Thu, 14 Aug 2008 11:00:59 -0400
> From: "john naegle" <[email-masked]>
> Cc: 
> 
> Whenever I try to open a file on a share on another computer, emacs crashes.

Thank you for your report.

> For instance, trying to open the file: "\\server\software\file.txt"
> causes a crash.  This happens if I use find-file, drag a file onto
> emacs, or double click to open a file on a hidden network share.
> 
> If I double-escape all the backslashes, I still get the crash, eg:
> emacs \\\\server\\software\\file.txt

Does it work with forward slashes, like this:

   //server/software/file.txt

?

> [Switching to thread 3636.0x8d4]
> (gdb) bt full
> #0  0x77f9193d in ntdll!DbgUiConnectToDbg ()
>    from /cygdrive/c/WINNT/system32/NTDLL.DLL
> No symbol table info available.
> #1  0x7c57fecd in KERNEL32!DebugActiveProcess ()
>    from /cygdrive/c/WINNT/system32/KERNEL32.DLL
> No symbol table info available.
> #2  0x7c57b3bc in lstrcmpiW () from /cygdrive/c/WINNT/system32/KERNEL32.DLL
> No symbol table info available.
> #3  0x00000000 in ?? ()
> No symbol table info available.

This backtrace is not useful.  I think you are in the wrong thread.

Could you please type "info threads" and then switch to each one of
them (with "thread N", where N is the thread number displayed in the
1st column of what "info threads" presents), and find the main thread,
where the backtrace goes up to the `main' function?  That's the
backtrace we want to see.

TIA